function challenge_runFlow()
	cfunction("debugPrintB", "[FLOW] challenge_runFlow", arcade_curState)		
	cfunction("debugPrintB", "[FLOW] challengeId", flow_gameModeId)
	cfunction("debugPrintB", "[FLOW] challenge Track", flow_challengeTrackId)
	
	if challenge_curState == 1 then		
		cfunction("setDataOptions", "trackId", flow_challengeTrackId)
		
		cfunction("setDataOptions", "destructiblesId", 0)
		cfunction("setDataOptions", "weaponPickupId", 0)
		cfunction("setDataOptions", "smePickupId", 0)
		cfunction("setDataOptions", "numberOfOpponents", 1)
				
		if flow_gameModeId == 0 then				
			cfunction("debugPrintS", "[FLOW] Settings options for Critical Damage")
			cfunction("setDataOptions", "smePickupId", 2)			
		elseif flow_gameModeId == 1 then
			cfunction("debugPrintS", "[FLOW] Settings options for Low Energy")			
			cfunction("setDataOptions", "smePickupId", 4)
		elseif flow_gameModeId == 2 then				
			cfunction("debugPrintS", "[FLOW] Settings options for Time Gates")			
		elseif flow_gameModeId == 3 then			
			cfunction("debugPrintS", "[FLOW] Settings options for RoadRage")
		end	
		
		cfunction("addAction", "startTrack", 0)
		challenge_curState =2
	elseif challenge_curState == 2 then
		challenge_curState = 1
		cfunction("addAction", "stopTrack", 0)				
		flow_flowStateInMenu = 1
	elseif challenge_curState == 3 then
		cfunction("addAction", "stopTrack", 0)
		cfunction("addAction", "startTrack", 0)
		challenge_curState = 2
	end
end


function challenge_resetFlow()
	challenge_curState = 1
end
